import { useLocalStore } from 'mobx-react-lite';
import { axios } from '@choerodon/boot';
import { handlePromptError } from "../../../../../../../../utils";
export default function useStore() {
  return useLocalStore(function () {
    return {
      checkConnect: function checkConnect(projectId, clusterString) {
        return axios.get("devops/v1/projects/".concat(projectId, "/clusters/check_progress?key=").concat(clusterString));
      },
      createK8S: function createK8S(projectId, data) {
        return axios.post("/devops/v1/projects/".concat(projectId, "/clusters/confirm_install"), JSON.stringify(data));
      }
    };
  });
}